[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetClientOrigin

Returns the screen coordinates of the control's origin.

## Declaration

Source position: controls.pp line 1063

`protected function TControl.GetClientOrigin: TPoint; virtual;`

## Description

Note that this value is the position as stored in the interface and is not always in sync with the LCL. When a control is moved, the LCL sets the bounds to the wanted position and sends a move message to the interface. It is up to the interface to handle moves instantly or queued.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.